Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.wtc.jatmi
Class ViewHelper

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.ViewHelper

public class ViewHelper
extends java.lang.Object

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ViewHelper()`

Method Summary
`static ViewHelper` | `getInstance()`
`TypedBuffer` | `newViewInstance(java.lang.String viewName)`
`void` | `setViewClass(java.lang.String viewName, java.lang.Class viewclass)`
`void` | `setViewClass(java.lang.String viewName, java.lang.String className)` To set view class ViewHelper vinst = ViewHelper.getInstance(); try { vinst.setViewClass() } To instantiate Object obj = ViewHelper.newInstance(viewName);

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewHelper

    public ViewHelper()

Method Detail

### getInstance

    public static ViewHelper getInstance()

### newViewInstance

    public TypedBuffer newViewInstance(java.lang.String viewName)
                                throws java.lang.InstantiationException,
                                       java.lang.IllegalAccessException

### setViewClass

    public void setViewClass(java.lang.String viewName,
                             java.lang.String className)
                      throws java.lang.ClassNotFoundException

  To set view class ViewHelper vinst = ViewHelper.getInstance(); try { vinst.setViewClass() } To instantiate Object obj = ViewHelper.newInstance(viewName);

### setViewClass

    public void setViewClass(java.lang.String viewName,
                             java.lang.Class viewclass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD